Skip to navigation

Get analytics reports metadata and quota status

The purpose of this API is to provide metadata information for analytics reports in general. The response is a JSON formatted object containing the current user's quota state and the date the analytics reports database was last updated.

Authentication

x-api-keystring

Authentication and authorization is achieved by supplying your Pixalate provided API key in the header of the request. An API key may be obtained by signing up for an account on the Pixalate developer website.

As of April 2023, Pixalate supports an API-key based authentication method for the Analytics Report API. If you have been provided with username and password credentials during your onboarding to access the Report API, please visit our documentation here to get started. If you have been provided with an API key, the documentation on this page will guide you on how to integrate.

Query parameters

prettybooleanOptional
If true, return pretty JSON. Default is false.

Response

OK
databaseobjectOptional
Analytics Reports database state information.
quotaobjectOptional
Quota state information.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
5XX
Server Error